package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class Salary2 {

    public Salary2() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "单元号")
    private String unitNumber;
    @JSONField(name = "年月")
    private String yearAndMonth;
    @JSONField(name = "职工福利费")
    private BigDecimal employeeWelfare;
    @JSONField(name = "低值易耗品")
    private BigDecimal lowValueConsumable;
    @JSONField(name = "职工教育经费")
    private BigDecimal employeeEducationFee;
    @JSONField(name = "其他费用")
    private BigDecimal othersFee;
    @JSONField(name = "其他费用对应的说明")
    private String othersFeeInfo;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUnitNumber() {
        return unitNumber;
    }

    public void setUnitNumber(String unitNumber) {
        this.unitNumber = unitNumber;
    }

    public String getYearAndMonth() {
        return yearAndMonth;
    }

    public void setYearAndMonth(String yearAndMonth) {
        this.yearAndMonth = yearAndMonth;
    }

    public BigDecimal getEmployeeWelfare() {
        return employeeWelfare;
    }

    public void setEmployeeWelfare(BigDecimal employeeWelfare) {
        this.employeeWelfare = employeeWelfare;
    }

    public BigDecimal getLowValueConsumable() {
        return lowValueConsumable;
    }

    public void setLowValueConsumable(BigDecimal lowValueConsumable) {
        this.lowValueConsumable = lowValueConsumable;
    }

    public BigDecimal getEmployeeEducationFee() {
        return employeeEducationFee;
    }

    public void setEmployeeEducationFee(BigDecimal employeeEducationFee) {
        this.employeeEducationFee = employeeEducationFee;
    }

    public BigDecimal getOthersFee() {
        return othersFee;
    }

    public void setOthersFee(BigDecimal othersFee) {
        this.othersFee = othersFee;
    }

    public String getOthersFeeInfo() {
        return othersFeeInfo;
    }

    public void setOthersFeeInfo(String othersFeeInfo) {
        this.othersFeeInfo = othersFeeInfo;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "Salary2{" +
                "id=" + id +
                ", unitNumber='" + unitNumber + '\'' +
                ", yearAndMonth='" + yearAndMonth + '\'' +
                ", employeeWelfare=" + employeeWelfare +
                ", lowValueConsumable=" + lowValueConsumable +
                ", employeeEducationFee=" + employeeEducationFee +
                ", othersFee=" + othersFee +
                ", othersFeeInfo='" + othersFeeInfo + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
